Skip to main content
`Ctrl`+`K`

# SVDSetWhichSingularTriplets

Specifies which singular triplets are to be sought.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetWhichSingularTriplets(SVD svd,SVDWhich which)

Logically Collective

## Input Parameter

- svd - the singular value solver context

## Output Parameter

- which - which singular triplets are to be sought, see `SVDWhich` for possible values

## Options Database Keys

- -svd_largest - sets largest singular values

- -svd_smallest - sets smallest singular values

## See Also

SVD: Singular Value Decomposition, `SVDGetWhichSingularTriplets()`, `SVDWhich`

## Level

intermediate

## Location

src/svd/interface/svdopts.c

## Examples

src/svd/tutorials/ex8.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages